<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/ASG/TypeId.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.ASG.TypeId</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../ASG.html" >ASG</a>
</div><div class="class-name">class TypeId

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/ASG.py.html" target="detail">../Synopsis/ASG.py</a></div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.TypeId" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line58" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="TypeId-inheritance" src="TypeId-inheritance.png" hspace="8" vspace="8" border="0" usemap="#TypeId-inheritance_map" />
<map name="TypeId-inheritance_map"><area alt="Scopes/Synopsis/ASG/NamedTypeId.html" href="NamedTypeId.html" shape="rect" coords="5, 81, 189, 105" />
<area alt="Scopes/Synopsis/Processors/Comments/Translator/Translator.html" href="../Processors/Comments/Translator/Translator.html" shape="rect" coords="213, 81, 528, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Fragments/DetailCommenter/DetailCommenter.html" href="../Formatters/HTML/Fragments/DetailCommenter/DetailCommenter.html" shape="rect" coords="552, 81, 1000, 105" />
<area alt="Scopes/Synopsis/ASG/ModifierTypeId.html" href="ModifierTypeId.html" shape="rect" coords="1024, 81, 1216, 105" />
<area alt="Scopes/Synopsis/Parsers/Python/Python/Parser.html" href="../Parsers/Python/Python/Parser.html" shape="rect" coords="1240, 81, 1480, 105" />
<area alt="Scopes/Synopsis/ASG/FunctionTypeId.html" href="FunctionTypeId.html" shape="rect" coords="1504, 81, 1696, 105" />
<area alt="Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html" href="../Formatters/Texinfo/MenuMaker.html" shape="rect" coords="1720, 81, 1973, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Fragments/SourceLinker/SourceLinker.html" href="../Formatters/HTML/Fragments/SourceLinker/SourceLinker.html" shape="rect" coords="1997, 81, 2397, 105" />
<area alt="Scopes/Synopsis/ASG/ArrayTypeId.html" href="ArrayTypeId.html" shape="rect" coords="2421, 81, 2597, 105" />
<area alt="Scopes/Synopsis/ASG/ParametrizedTypeId.html" href="ParametrizedTypeId.html" shape="rect" coords="2621, 81, 2840, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/XRef/XRef.html" href="../Formatters/HTML/Views/XRef/XRef.html" shape="rect" coords="2864, 81, 3149, 105" />
<area alt="Scopes/Synopsis/Formatters/HTML/Fragment/Fragment.html" href="../Formatters/HTML/Fragment/Fragment.html" shape="rect" coords="3173, 81, 3467, 105" />
<area alt="Scopes/Synopsis/Formatters/List/Formatter.html" href="../Formatters/List/Formatter.html" shape="rect" coords="3491, 81, 3709, 105" />
</map>
 <div class="doc">Type-id abstract class.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Private Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="TypeId.html#__cmp__" >__cmp__</a></span>(<span class="variable">self</span>, <span class="variable">other</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.TypeId.__cmp__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line68" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="language">language</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line62" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">language</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.TypeId.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line61" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="TypeId.html#accept" >accept</a></span>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.TypeId.accept" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line64" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">visitor pattern accept.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Private Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__cmp__">__cmp__</a>(<span class="variable">self</span>, <span class="variable">other</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.TypeId.__cmp__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line68" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Comparison operator</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="accept">accept</a>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.TypeId.accept" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line64" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">visitor pattern accept. @see Visitor</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:51 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
